> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get application

> Get application by id



## OpenAPI

````yaml get /v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/candidates/{candidate_id}/applications/{application_id}:
    get:
      tags:
        - Applications
      operationId: Applications_GetApplication
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: candidate_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 2
        - name: application_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 3
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SingleResponseOfApplicationDto'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    SingleResponseOfApplicationDto:
      type: object
      additionalProperties: false
      properties:
        data:
          $ref: '#/components/schemas/ApplicationDto'
    ProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    ApplicationDto:
      type: object
      additionalProperties: false
      required:
        - stage
        - compliance
      properties:
        id:
          type: string
          description: The id of the application, format `app_abc123`.
          format: int32
        candidate:
          $ref: '#/components/schemas/CandidateDto'
          description: The candidate object.
        applied_at:
          type: string
          description: The date and time of the application in UTC.
          format: date-time
        job:
          $ref: '#/components/schemas/JobInfoDto'
        cover_letter:
          type: string
          description: The cover letter for this application
        stage:
          $ref: '#/components/schemas/ApplicationStageDto'
          description: The current status of the application.
        resume:
          $ref: '#/components/schemas/Resume'
          nullable: true
        source:
          $ref: '#/components/schemas/ApplicationSourceInfoDto'
        interviews:
          type: array
          description: List of interview ids for this application
          items:
            type: string
            format: int32
        feedback:
          type: array
          description: List of feedback forms ids for this application
          items:
            type: string
            format: int32
        potential_duplicate:
          type: boolean
        compliance:
          $ref: '#/components/schemas/Compliance'
    CandidateDto:
      type: object
      additionalProperties: false
      required:
        - first_name
        - last_name
        - tags
      properties:
        id:
          type: string
          description: The id of the candidate, format `can_abc123`.
          format: int32
        full_name:
          type: string
          description: The full name of the candidate.
        first_name:
          type: string
          description: The first name of the candidate.
          minLength: 1
        last_name:
          type: string
          description: The last name of the candidate.
          minLength: 1
        email:
          type: string
          description: The email address of the candidate.
        phone_number:
          type: string
          description: The phone number of the candidate.
        title:
          type: string
          description: The current job title of the candidate.
        company:
          type: string
          description: The current company of the candidate.
        location:
          $ref: '#/components/schemas/LocationInfoDto'
        image_url:
          type: string
          description: An image url to a profile picture
        tags:
          type: array
          description: A list of tags applied to the candidate.
          items:
            $ref: '#/components/schemas/CandidateTag'
        rating:
          type: integer
          description: A 1-5 star rating assigned to the candidate.
          format: int32
          nullable: true
        application_ids:
          type: array
          description: >-
            A list of other application ids this candidate may have. Format
            `app_abc123`.
          items:
            type: string
            format: int32
        social_profiles:
          type: array
          items:
            $ref: '#/components/schemas/PortfolioLink'
    JobInfoDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
          nullable: true
        title:
          type: string
    ApplicationStageDto:
      type: object
      additionalProperties: false
      required:
        - parent_stage
      properties:
        parent_stage:
          $ref: '#/components/schemas/ParentStage'
          description: The parent stage of the application. eg `Screening`, `Interviewing`
        custom_stage:
          $ref: '#/components/schemas/ApplicationStageInfoDto'
          description: Optional sub stage. This is a custom stage
          nullable: true
    Resume:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        original:
          $ref: '#/components/schemas/BaseFile'
        pdf:
          $ref: '#/components/schemas/BaseFile'
          nullable: true
    ApplicationSourceInfoDto:
      type: object
      additionalProperties: false
      properties:
        origin:
          $ref: '#/components/schemas/Sources'
          description: >-
            The origin of the application. eg `Applied`, `Added`, `Submitted by
            an agency`
        source:
          type: string
          description: The source name. eg `Google`, `LinkedIn`
        contact:
          $ref: '#/components/schemas/ContactInfoDto'
          description: If details of the referral contact if the application was referred.
          nullable: true
        user:
          $ref: '#/components/schemas/UserInfoDto'
          description: If details of the user if the application was added manually.
          nullable: true
        recruiter:
          $ref: '#/components/schemas/RecruiterInfoDto'
          description: >-
            If details of the external recruiter if the application was
            submitted via the agency portal.
          nullable: true
    Compliance:
      type: object
      additionalProperties: false
      properties:
        gdpr:
          $ref: '#/components/schemas/GDPR'
    LocationInfoDto:
      type: object
      additionalProperties: false
      properties:
        address:
          type: string
          description: The city/street address of the candidate.
        country:
          $ref: '#/components/schemas/CountryInfoDto'
    CandidateTag:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        name:
          type: string
    PortfolioLink:
      type: object
      additionalProperties: false
      properties:
        type:
          $ref: '#/components/schemas/LinkTypesEnum'
        uri:
          type: string
    ParentStage:
      type: string
      description: ''
      x-enumNames:
        - Rejected
        - New
        - Screening
        - Interviewing
        - Offered
        - Hired
      enum:
        - rejected
        - new
        - screening
        - interviewing
        - offered
        - hired
    ApplicationStageInfoDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the custom stage, format pipl_abc123
          format: int32
        name:
          type: string
          description: The name given to this custom stage.
    BaseFile:
      type: object
      additionalProperties: false
      properties:
        name:
          type: string
        original_name:
          type: string
        content_type:
          type: string
        file_extension:
          type: string
    Sources:
      type: string
      description: ''
      x-enumNames:
        - Added
        - Applied
        - Interested
        - Referred
        - CandidatePool
        - HireHiveImport
        - AgencySubmission
      enum:
        - added
        - applied
        - interested
        - referred
        - candidate_pool
        - hire_hive_import
        - agency_submission
    ContactInfoDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the contact, format `cnt_abc123`
          format: int32
          nullable: true
        name:
          type: string
          description: The name of the contact.
    UserInfoDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the user, format `usr_abc123`
          format: int32
          nullable: true
        name:
          type: string
          description: The name of the user.
    RecruiterInfoDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          description: The id of the recruiter, format `Guid`
        name:
          type: string
          description: The name of the recruiter.
    GDPR:
      type: object
      additionalProperties: false
      required:
        - consent_requests
      properties:
        consent_expires_at:
          type: string
          format: date-time
          nullable: true
        consent_requests:
          type: array
          description: A list of any GDPR consent extensions requests.
          items:
            $ref: '#/components/schemas/ConsentRequest'
    CountryInfoDto:
      type: object
      additionalProperties: false
      properties:
        name:
          type: string
          description: The country name of the candidate.
        code:
          type: string
          description: >-
            The 2 letter ISO country code of the candidate. eg US, FR, ES, IT,
            IE
    LinkTypesEnum:
      type: string
      description: ''
      x-enumNames:
        - LinkedIn
        - Twitter
        - Facebook
        - Github
        - GithubUsername
        - Gitlab
        - Codepen
        - Dribble
        - Instagram
        - Other
        - Stackoverflow
        - PersonalSite
        - Behance
      enum:
        - linked_in
        - twitter
        - facebook
        - github
        - github_username
        - gitlab
        - codepen
        - dribble
        - instagram
        - other
        - stackoverflow
        - personal_site
        - behance
    ConsentRequest:
      type: object
      additionalProperties: false
      properties:
        status:
          $ref: '#/components/schemas/GDPRConsentRequestStatus'
          description: The status of the consent request
        sent_at:
          type: string
          description: The date the request was sent at
          format: date-time
        expires_at:
          type: string
          description: The date the request expires at
          format: date-time
    GDPRConsentRequestStatus:
      type: string
      description: ''
      x-enumNames:
        - Pending
        - Complete
      enum:
        - pending
        - complete
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````